import { BaseQueryApi, type BaseQueryFn, FetchArgs, fetchBaseQuery, type FetchBaseQueryError } from '@reduxjs/toolkit/query';
export type BaseQueryArgs = Parameters<typeof fetchBaseQuery>[0];
export declare const baseQuery: (args: BaseQueryArgs) => BaseQueryFn<string | FetchArgs, unknown, FetchBaseQueryError, {}, import("@reduxjs/toolkit/dist/query").FetchBaseQueryMeta>;
export declare const baseQueryWithReAuth: (args: BaseQueryArgs, when401: (api: BaseQueryApi) => Promise<void>) => BaseQueryFn<string | FetchArgs, unknown, FetchBaseQueryError>;
